Bug 1463399 - NMI watchdog: BUG: soft lockup - CPU#1 stuck for 22s! [libvirtd:923] [NEEDINFO]
NMI watchdog: BUG: soft lockup - CPU#1 stuck for 22s! [libvirtd:923]
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 15:19 EDT by Mikhail
Modified: 2018-05-03 04:11 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (mikhail.v.gavrilov)


Attachments (Terms of Use)
dmesg (236.34 KB, text/plain)
2017-06-20 15:21 EDT, Mikhail
no flags Details
htop (372.97 KB, image/png)
2017-06-20 22:58 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-06-20 15:19:46 EDT
Description of problem:

Computer stuck


[  403.261488] NMI watchdog: BUG: soft lockup - CPU#1 stuck for 22s! [libvirtd:923]
[  403.261494] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nls_utf8 isofs rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat xfs libcrc32c intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel ppdev iTCO_wdt iTCO_vendor_support kvm btrfs irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore xor snd_hda_codec_ca0132
[  403.261576]  huawei_cdc_ncm hid_logitech_hidpp cdc_wdm cdc_ncm option joydev usbnet usb_wwan snd_hda_codec_hdmi snd_hda_codec_realtek intel_rapl_perf snd_hda_codec_generic btusb btrtl btbcm btintel snd_hda_intel bluetooth snd_hda_codec snd_hda_core snd_hwdep snd_seq rfkill snd_seq_device snd_pcm raid6_pq snd_timer snd mei_me mei i2c_i801 lpc_ich soundcore shpchp parport_pc parport tpm_infineon tpm_tis tpm_tis_core tpm binfmt_misc hid_logitech_dj uas usb_storage i915 crc32c_intel i2c_algo_bit drm_kms_helper drm r8169 mii video
[  403.261630] irq event stamp: 232786
[  403.261634] hardirqs last  enabled at (232785): [<ffffffffb598632d>] restore_regs_and_iret+0x0/0x1d
[  403.261636] hardirqs last disabled at (232786): [<ffffffffb5987808>] apic_timer_interrupt+0x98/0xb0
[  403.261638] softirqs last  enabled at (182478): [<ffffffffb598a8a2>] __do_softirq+0x382/0x511
[  403.261642] softirqs last disabled at (182423): [<ffffffffb50ba70f>] irq_exit+0x10f/0x120
[  403.261644] CPU: 1 PID: 923 Comm: libvirtd Not tainted 4.11.5-300.fc26.x86_64+debug #1
[  403.261645] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[  403.261646] task: ffff8d889551b240 task.stack: ffffb15bce150000
[  403.261649] RIP: 0010:smp_call_function_many+0x236/0x260
[  403.261650] RSP: 0018:ffffb15bce153c20 EFLAGS: 00000202 ORIG_RAX: ffffffffffffff10
[  403.261652] RAX: ffff8d88bf9df540 RBX: ffff8d88befdb7c0 RCX: 0000000000000006
[  403.261654] RDX: 0000000000000003 RSI: 0000000000000000 RDI: ffff8d88be821228
[  403.261655] RBP: ffffb15bce153c58 R08: ffffffffffffffc0 R09: 00000000000000fd
[  403.261656] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000008
[  403.261657] R13: 00000000001db780 R14: ffffffffb50361c0 R15: 0000000000000000
[  403.261658] FS:  00007f80ae6f4700(0000) GS:ffff8d88bee00000(0000) knlGS:0000000000000000
[  403.261660] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  403.261661] CR2: 0000556bb6a8c9a0 CR3: 00000007db40c000 CR4: 00000000001406e0
[  403.261662] Call Trace:
[  403.261667]  ? ___slab_alloc+0x2ff/0x600
[  403.261669]  ? setup_data_read+0xb0/0xb0
[  403.261671]  ? ___slab_alloc+0x300/0x600
[  403.261673]  on_each_cpu+0x3b/0xa0
[  403.261675]  ? ___slab_alloc+0x2ff/0x600
[  403.261677]  text_poke_bp+0x94/0xf0
[  403.261681]  arch_jump_label_transform+0x94/0xf0
[  403.261686]  __jump_label_update+0x68/0x80
[  403.261688]  jump_label_update+0x6b/0x100
[  403.261692]  static_key_slow_inc+0x97/0xa0
[  403.261694]  cpuset_css_online+0x66/0x590
[  403.261698]  online_css+0x2c/0x90
[  403.261701]  cgroup_apply_control_enable+0x2d1/0x3d0
[  403.261707]  cgroup_mkdir+0x2bd/0x410
[  403.261714]  kernfs_iop_mkdir+0x5d/0x90
[  403.261718]  vfs_mkdir+0x10c/0x1d0
[  403.261722]  SyS_mkdir+0x7e/0xf0
[  403.261727]  entry_SYSCALL_64_fastpath+0x1f/0xc2
[  403.261728] RIP: 0033:0x7f80be75a1d7
[  403.261730] RSP: 002b:00007f80ae6f34a8 EFLAGS: 00000202 ORIG_RAX: 0000000000000053
[  403.261732] RAX: ffffffffffffffda RBX: 00007f8088111910 RCX: 00007f80be75a1d7
[  403.261733] RDX: fffffffffffffe60 RSI: 00000000000001ed RDI: 00007f808810ff10
[  403.261734] RBP: 00007f80bea22400 R08: 00007f80c29ff790 R09: 0000000000000000
[  403.261735] R10: 00007f80c29fe0fb R11: 0000000000000202 R12: 0000000000000000
[  403.261736] R13: 000000000000000b R14: 00007f80c29fe600 R15: 0000000000000000
[  403.261744] Code: 39 05 83 dc e8 00 89 c1 0f 8e 54 fe ff ff 48 98 48 8b 13 48 03 14 c5 00 14 d4 b5 48 89 d0 8b 52 18 83 e2 01 74 0a f3 90 8b 50 18 <83> e2 01 75 f6 eb b8 48 c7 c2 80 b2 fe b5 4c 89 e6 89 c7 e8 42
Comment 1 Mikhail 2017-06-20 15:21 EDT
Created attachment 1289811 [details]
dmesg
Comment 2 Cole Robinson 2017-06-20 16:19:46 EDT
I assume this isn't related to anything libvirtd is doing and instead is a kernel issue, so reassigning
Comment 3 Mikhail 2017-06-20 22:58 EDT
Created attachment 1289914 [details]
htop
Comment 4 Laura Abbott 2018-02-27 22:44:43 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Fedora End Of Life 2018-05-03 04:11:18 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.